Moondream
統合
モデルID
moondream/batched
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/moondream/batched?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"inputs": [
{
"image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}
]
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/moondream/batched?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"inputs": [
{
"image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}
]
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"inputs": [
{
"image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
},
],
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/moondream/batched", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/ja/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.com/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "moondream/batched",
"input": {
"inputs": [
{
"image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}
]
}
}
Doitong APIを通じてMoondreamモデル(moondream/batched)を呼び出します。エージェント向けドキュメント: https://doitong.com/ja/developers/models/moondream/batched.md
POST https://api.doitong.com/v1/run/moondream/batched?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"inputs": [
{
"image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}
]
}
レスポンスのステータスが"queued"または"running"の場合、"succeeded"になるまでGET https://api.doitong.com/v1/requests/REQUEST_ID?wait=20をポーリングしてください。ファイルはoutputs[].urlにあります。同じボディでPOST https://api.doitong.com/v1/quote/moondream/batchedを実行すると、実行前の正確な価格が返されます。
このリクエスト: ≈$0.004 4 APIクレジット このページで実行
新しいAPIキーです。 これは今だけ表示され、コードと下記のAPIキー欄にすでに入力されています。秘密にしてください。ブラウザで実行されるコードに決して含めないでください。
Moondream · データ (JSON)
最初の結果がここに表示されます
以下でリクエストを作成し、APIキーで実行してください。出力はストレージにコピーされ、永久保存または無料で7日保存されます。
リクエストを作成
コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。
POST
/run/moondream/batched?wait=20
見積もり → $0.004
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/moondream/batched?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"inputs": [
{
"image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}
]
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/moondream/batched?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"inputs": [
{
"image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}
]
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"inputs": [
{
"image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
},
],
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/moondream/batched", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "moondream/batched",
"input": {
"inputs": [
{
"image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}
]
},
"wait_seconds": 20
}
}
}
Moondreamについて
Moondream視覚言語モデルのバッチ版です。`inputs`にプロンプトと画像URLを持つオブジェクトのリストを渡すと、生成結果のリスト、処理したファイル名、処理時間が返ります。生成は`max_tokens`(32~1024、デフォルト64)、`temperature`(0~1)、`top_p`、`repetition_penalty`(1~2)で調整します。レスポンスには結果が部分的かどうかを示すフラグも含まれます。
パラメータ
名前型
デフォルト許可される値
説明
inputs必須
型object[]
入力プロンプトと画像URLを含むリスト。
inputs[].image_url必須
型url · image
処理する画像を指すURL。
inputs[].prompt任意
型string
デフォルトDescribe this image.
画像に適用されたプロンプト。
max_tokens任意
型integer
デフォルト64
32 – 1,024
新たに生成するトークンの上限。
temperature任意
型number
デフォルト0.2
≤ 1> 0
サンプリング温度の設定。
top_p任意
型number
デフォルト1
0 – 1
サンプリングのtop-P設定。
repetition_penalty任意
型number
デフォルト1
1 – 2
サンプリング中の反復に適用するペナルティ。
必須
出力
GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "moondream/batched",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 4,
"usd": "0.004",
"charged": 4,
"refunded": 0
},
"input": {
"inputs": [
{
"image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}
]
},
"output": {
"outputs": [
"string"
],
"partial": false,
"timings": {},
"filenames": [
"string"
]
},
"outputs": [
{
"type": "file",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_size": 1843200,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
- outputs
- array of string生成された結果を含むリスト。
- partial
- boolean出力が不完全かどうかを示します。
- timings
- object個々の処理段階の時間計測。
- filenames
- array of string | null処理された画像ファイルの名前。
その他のモデル: ビジョン
AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/moondream/batched.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt